<?php
function blog_customize_settings() {
	/**
	 * Customizer configuration
	 */

	$settings = array(
		'theme' => 'biwors',
	);

	$panels = array(	
	    'blog'        => array(
			'title'      => esc_html__( 'Blog', 'biwors' ),
			'priority'   => 10,
			'capability' => 'edit_theme_options',
		),
	);

	$sections = array(
		'blog_page'           => array(
			'title'       => esc_html__( 'Blog Page', 'biwors' ),
			'description' => '',
			'priority'    => 10,
			'capability'  => 'edit_theme_options',
			'panel'       => 'blog',
		),
        'single_post'           => array(
			'title'       => esc_html__( 'Single Post', 'biwors' ),
			'description' => '',
			'priority'    => 10,
			'capability'  => 'edit_theme_options',
			'panel'       => 'blog',
		),
	);

	$fields = array(
		/* blog settings */
		'blog_layout'           => array(
			'type'        => 'radio-image',
			'label'       => esc_html__( 'Blog Layout', 'biwors' ),
			'section'     => 'blog_page',
			'default'     => 'content-sidebar',
			'priority'    => 7,
			'description' => esc_html__( 'Select default sidebar for the blog page.', 'biwors' ),
			'choices'     => array(
				'content-sidebar' 	=> get_template_directory_uri() . '/inc/backend/images/right.png',
				'sidebar-content' 	=> get_template_directory_uri() . '/inc/backend/images/left.png',
				'full-content' 		=> get_template_directory_uri() . '/inc/backend/images/full.png',
			)
		),	
        'blog_style'           => array(
            'type'        => 'select',
            'label'       => esc_html__( 'Blog Style', 'biwors' ),
            'section'     => 'blog_page',
            'default'     => 'list',
            'priority'    => 8,
            'description' => esc_html__( 'Select style default for the blog page.', 'biwors' ),
            'choices'     => array(
                'list' => esc_attr__( 'Blog List', 'biwors' ),
                'grid' => esc_attr__( 'Blog Grid', 'biwors' ),
            ),
        ),
        'blog_columns'           => array(
            'type'        => 'select',
            'label'       => esc_html__( 'Blog Columns', 'biwors' ),
            'section'     => 'blog_page',
            'default'     => 'pf_2_cols',
            'priority'    => 8,
            'description' => esc_html__( 'Select columns default for the blog page.', 'biwors' ),
            'choices'     => array(
                'pf_2_cols' => esc_attr__( '2 Columns', 'biwors' ),
                'pf_3_cols' => esc_attr__( '3 Columns', 'biwors' ),
                'pf_4_cols' => esc_attr__( '4 Columns', 'biwors' ),
            ),
            'active_callback' => array(
                array(
                    'setting'  => 'blog_style',
                    'operator' => '==',
                    'value'    => 'grid',
                ),
            ),
        ),
		'post_entry_meta'              => array(
            'type'     => 'multicheck',
            'label'    => esc_html__( 'Entry Meta', 'biwors' ),
            'section'  => 'blog_page',
            'default'  => array( 'date', 'author', 'comm', 'cate' ),
            'choices'  => array(
                'date'    => esc_html__( 'Date', 'biwors' ),
                'author'  => esc_html__( 'Author', 'biwors' ),
                'comm'    => esc_html__( 'Comments', 'biwors' ),
                'cate'    => esc_html__( 'Category', 'biwors' ),
            ),
            'priority' => 10,
        ),
        'blog_read_more'      => array(
			'type'            => 'text',
			'label'           => esc_html__( 'Details Button', 'biwors' ),
			'section'         => 'blog_page',
			'default'         => esc_html__( 'READ MORE', 'biwors' ),
			'priority'        => 11,
		),
        /* single blog */
        'single_post_layout'           => array(
            'type'        => 'radio-image',
            'label'       => esc_html__( 'Layout', 'biwors' ),
            'section'     => 'single_post',
            'default'     => 'content-sidebar',
            'priority'    => 10,
            'choices'     => array(
				'content-sidebar' 	=> get_template_directory_uri() . '/inc/backend/images/right.png',
				'sidebar-content' 	=> get_template_directory_uri() . '/inc/backend/images/left.png',
				'full-content' 		=> get_template_directory_uri() . '/inc/backend/images/full.png',
			)
        ),
        'ptitle_post'               => array(
			'type'            => 'text',
			'label'           => esc_html__( 'Page Title', 'biwors' ),
			'section'         => 'single_post',
			'default'         => esc_html__( 'Blog Single', 'biwors' ),
			'priority'        => 10,
		),
        'single_separator2'     => array(
			'type'        => 'custom',
			'label'       => esc_html__( 'Entry Footer', 'biwors' ),
			'section'     => 'single_post',
			'default'     => '<hr>',
			'priority'    => 10,
		),
        'post_socials'              => array(
            'type'     => 'multicheck',
            'section'  => 'single_post',
            'default'  => array( 'face', 'ins', 'link' ),
            'choices'  => array(
                'face'      => esc_html__( 'Facebook', 'biwors' ),
                'link'      => esc_html__( 'Linkedin', 'biwors' ),
                'ins'      => esc_html__( 'Instagram', 'biwors' ),
                'twit'      => esc_html__( 'Twitter', 'biwors' ),
                'pint'      => esc_html__( 'Pinterest', 'biwors' ),
                'google'    => esc_html__( 'Google Plus', 'biwors' ),
                'tumblr'    => esc_html__( 'Tumblr', 'biwors' ),
                'reddit'    => esc_html__( 'Reddit', 'biwors' ),
                'vk'        => esc_html__( 'VK', 'biwors' ),
            ),
            'priority' => 10,
        ),
        'single_separator2'     => array(
			'type'        => 'custom',
			'label'       => esc_html__( 'Entry Footer', 'biwors' ),
			'section'     => 'single_post',
			'default'     => '<hr>',
			'priority'    => 10,
		),
        'author_box'      => array(
			'type'        => 'checkbox',
			'label'       => esc_attr__( 'Author Info Box', 'biwors' ),
			'section'     => 'single_post',
			'default'     => true,
			'priority'    => 10,
		),
		'post_nav'     	  => array(
			'type'        => 'checkbox',
			'label'       => esc_attr__( 'Post Navigation', 'biwors' ),
			'section'     => 'single_post',
			'default'     => true,
			'priority'    => 10,
		),
		'related_post'    => array(
			'type'        => 'checkbox',
			'label'       => esc_attr__( 'Related Posts', 'biwors' ),
			'section'     => 'single_post',
			'default'     => true,
			'priority'    => 10,
		),
        'related_post_label'        => array(
            'type'            => 'text',
            'label'           => esc_html__( 'Related Posts', 'biwors' ),
            'section'         => 'single_post',
            'default'         => esc_html__( 'Related Posts', 'biwors' ),
            'priority'        => 10,
        ),

	);

	$settings['panels']   = apply_filters( 'biwors_customize_panels', $panels );
	$settings['sections'] = apply_filters( 'biwors_customize_sections', $sections );
	$settings['fields']   = apply_filters( 'biwors_customize_fields', $fields );

	return $settings;
}

$biwors_customize = new Biwors_Customize( blog_customize_settings() );