(function($) {
    "use strict";
  
    /* --------------------------------------------------
    * toggle search
    * --------------------------------------------------*/
    var tgSearch  = function($scope, $){
        $scope.find('.octf-search').each( function(){
        var selector = $(this);
        selector.find('.toggle_search').on("click", function(){
            $(this).toggleClass( "active" );
            selector.find('.h-search-form-field').toggleClass('show');
            if ($(this).find('i').hasClass( "ot-flaticon-loupe" )) {
                $(this).find('i').removeClass( "ot-flaticon-loupe" ).addClass("ot-flaticon-close");
            }else{
                $(this).find('i').removeClass( "ot-flaticon-close" ).addClass("ot-flaticon-loupe");
            }
        });
      });
    };
  
    /* --------------------------------------------------
    * mobile menu
    * --------------------------------------------------*/
    var mmenuPanel  = function(){
        var element = $('#mmenu-toggle'),
            mmenu   = $('#mmenu-wrapper');

        function mmenu_handler() {
            var isActive = !element.hasClass('active');

            element.toggleClass('active', isActive);
            mmenu.toggleClass('mmenu-open', isActive);
            $('body').toggleClass('mmenu-active', isActive);
            return false;
        }

        $('#mmenu-toggle, .mmenu-close, .mmenu-overlay').on('click', mmenu_handler);

        $('.mmenu-wrapper li:has(ul)').prepend('<span class="arrow"><i class="ot-flaticon-right-chevron"></i></span>');
        $(".mmenu-wrapper .mobile_mainmenu > li span.arrow").on('click',function() {
            $(this).parent().find("> ul").stop(true, true).slideToggle()
            $(this).toggleClass( "active" ); 
        });
    };

    /* --------------------------------------------------
    * menu vertical
    * --------------------------------------------------*/
    var menuVertical = function($scope, $){
        if( $scope.find('.vertical-main-navigation').length ){
            $scope.find('.vertical-main-navigation').each( function(){
                var selector         = $(this),
                    itemHasChildren  = selector.find('> ul > li.menu-item-has-children > a'),
                    nItemHasChildren = selector.find('ul ul > li.menu-item-has-children > a');
                    
                itemHasChildren.on('click',function() {
                    itemHasChildren.parent().not($(this).parents('li.menu-item-has-children')).find('>ul').stop(true, true).slideUp();
                    nItemHasChildren.parent().find('>ul').stop(true, true).slideUp();
                    nItemHasChildren.removeClass('active');
                    itemHasChildren.not($(this)).removeClass('active');
                    $(this).parents('li.menu-item-has-children').find('>ul').stop(true, true).slideToggle();
                    $(this).toggleClass( 'active' );
                });

                nItemHasChildren.on('click',function() {
                    $(this).parents('sub-menu').eq(0).find('li.menu-item-has-children').not($(this).parents('li.menu-item-has-children').eq(0)).find('>ul').stop(true, true).slideUp();
                    $(this).parents('sub-menu').eq(0).find('li.menu-item-has-children').find('>a').not($(this)).removeClass('active');
                    $(this).parents('li.menu-item-has-children').eq(0).find('>ul').stop(true, true).slideToggle();
                    $(this).toggleClass( 'active' );
                });
            });
        }
    };

    /* --------------------------------------------------
    * Hamburger menu
    * --------------------------------------------------*/
    var hamburgerMenu = function($scope, $){
        $scope.find('.octf-menu-hamburger-area').each( function(){
            var selector         = $(this),
                btnToggle        = selector.find('.menu-hamburger-toggle'),
                menuHamburger    = selector.find('.octf-menu-hamburger'),
                menuOverlay      = selector.find('.menu-overlay'),
                btnClose         = menuHamburger.find('#menu-hamburger-close');

            function menu_hamburger_handler() {
                var isActive = !btnToggle.hasClass('active');
                btnToggle.toggleClass('active', isActive);
                menuHamburger.toggleClass('open-menu', isActive);
                $('body').toggleClass('side-menu-active', isActive);
                return false;
            }
            
            btnToggle.on('click', menu_hamburger_handler);
            btnClose.on('click', menu_hamburger_handler);
            menuOverlay.on('click', menu_hamburger_handler);
            document.addEventListener('keydown', function(event){
                if(event.key === "Escape" && $('body').hasClass('side-menu-active')){
                    menu_hamburger_handler();
                }
            });
        });
    };
  
    /**
     * Elementor JS Hooks
     */
    $(window).on("elementor/frontend/init", function () {
        /*toggle search*/
        elementorFrontend.hooks.addAction(
             "frontend/element_ready/ot-search.default",
            tgSearch
        );
        /*mmenu*/
        elementorFrontend.hooks.addAction(
            "frontend/element_ready/ot-menu-mobile.default",
            mmenuPanel
        );
        /*menu vertical*/
        elementorFrontend.hooks.addAction(
            "frontend/element_ready/ot-menu.default",
            menuVertical
        );
        /*menu hamburger*/
        elementorFrontend.hooks.addAction(
            "frontend/element_ready/imenu_hamburger.default",
            hamburgerMenu
        );
    });
  
  })(jQuery);