( function( $ ) {
    'use strict';

    /* rtl check */
	function rtl_owl(){
	if ($('body').hasClass("rtl")) {
		return true;
	} else {
		return false;
	}};
	

	/* --------------------------------------------------
    * preloader
    * --------------------------------------------------*/
	if ( $('#royal_preloader').length ) {
		var $selector       = $('#royal_preloader'),
			$width          = $selector.data('width'),
			$height         = $selector.data('height'),
			$color          = $selector.data('color'),
			$bgcolor        = $selector.data('bgcolor'),
			$logourl        = $selector.data('url');
		
		Royal_Preloader.config({
			mode           : 'logo',
			logo           : $logourl,
			logo_size      : [$width, $height],
			showProgress   : true,
			showPercentage : true,
			text_colour: $color,
			background:  $bgcolor,
		});        
	};
	$(document).ready( function() {

		/* OT Custom Nav Arrow Slider */
	    var otNavText = [
	        '<svg xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 476.213 476.213"><g><path d="M476.213 223.107H76.212v-61.214L0 238.108l76.212 76.212v-61.213h400.001z"></path></g></svg>',
	        '<svg xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 476.213 476.213"><g><path d="M476.213 238.105 400 161.893v61.213H0v30h400v61.214z"></path></g></svg>'
	    ];
		/* --------------------------------------------------
	    * sticky header
	    * --------------------------------------------------*/
	 	var fixed  = $('#site-header .sticky-header');
	  	$(window).on("scroll", function(){
		    var site_header = $('#site-header').outerHeight() + 200;  
		      
		    if ($(window).scrollTop() >= site_header) {
		      	fixed.addClass('is-stuck');
		      	fixed.find('.main-navigation').addClass('scrolled');
		    }else{
		      	fixed.removeClass('is-stuck');                  
		      	fixed.find('.main-navigation').removeClass('scrolled');
		    }
		});

	    /* --------------------------------------------------
	    * mobile menu
	    * --------------------------------------------------*/
	    $('.mmenu_wrapper li:has(ul)').prepend('<span class="arrow"><i class="ot-flaticon-right-chevron"></i></span>');
	    $(".mmenu_wrapper .mobile_mainmenu > li span.arrow").on('click',function() {
	        $(this).parent().find("> ul").stop(true, true).slideToggle();
	        $(this).toggleClass( "active" );
	    });
		
		$( "#mmenu_toggle" ).on('click', function() {
			$(this).toggleClass( "active" );
			$(this).parents('.header-mobile').toggleClass( "open" );
			if ($(this).hasClass( "active" )) {
				$('.mobile_nav').stop(true, true).slideDown(300);
			}else{
				$('.mobile_nav').stop(true, true).slideUp(150);
			}
		});

		/* --------------------------------------------------
	    * gallery post
	    * --------------------------------------------------*/
		var galleryPost = $('.gallery-post');
		if (galleryPost.length > 0 ) {
			galleryPost.each( function () {
				var selector = $(this).find('.owl-carousel');
				selector.owlCarousel({
					rtl: rtl_owl(),
					autoplay:true,
					autoplayTimeout: 7000,
					loop:true,
					margin:0,
					responsiveClass:true,
					dots: true,
					nav: false,
	            	navText: ['<i class="ot-flaticon-left-arrow"></i>','<i class="ot-flaticon-right-arrow"></i>'],
					responsive : {
	                    0 : {
	                        items: 1,
	                    },
	                    768 : {
	                        items: 1,
	                    },
	                    1024 : {
	                        items: 1,
	                    }
	                }
				});
			});
		}

		/* --------------------------------------------------
		 * Related Slider posts
		 * --------------------------------------------------*/
	  	$('.related-posts .slide-posts').each( function () {
	    	var selector = $(this);
	    	selector.owlCarousel({
		      	rtl: rtl_owl(),
		      	autoplay:true,
				autoplayTimeout: 7000,
		      	loop: false,
		      	margin: 30,
		      	responsiveClass: true,
		      	dots: true,
		      	nav: false,
		      	responsive : {
			        0 : {
			          	items: 1,
			        },
			        992 : {
			          	items: 2,
			        }
	      		}
	    	});
		});
		
		/* --------------------------------------------------
	    * Related Slider projects
	    * --------------------------------------------------*/
	    $('.project-related-posts').each( function () {
	        var selector = $(this);
	        selector.find('.owl-carousel').owlCarousel({
	            rtl: rtl_owl(),
	            autoplay:true,
				autoplayTimeout: 7000,
	            loop: false,
	            margin: 30,
	            navText: otNavText,
	            dotsClass: 'owl-dots ot-dots-custom',
	            dots: true,
	            nav: false,
	            responsive : {
	                0 : {
			          	items: 1,
			        },
			        992 : {
			          	items: 3,
			        }
	            }
	        });
	    });
	    
	    /* --------------------------------------------------
	    * popup video
	    * --------------------------------------------------*/
	  	var video_popup = $('.video-popup');
	   	if (video_popup.length > 0 ) {
		   	video_popup.each( function(){
		   		var selector    = $(this),
	                videoPopup  = selector.find('.btn-play');
			   	selector.lightGallery({
				   selector: videoPopup,
			   	});
		   	});
	   	};
	    /* --------------------------------------------------
	    * back to top
	    * --------------------------------------------------*/
	    if ($('#back-to-top').length) {
		    var scrollTrigger = 500,
		        backToTop = function () {
		            var scrollTop = $(window).scrollTop();
		            if (scrollTop > scrollTrigger) {
		                $('#back-to-top').addClass('show');
		            } else {
		                $('#back-to-top').removeClass('show');
		            }
		        };
		    backToTop();
		    $(window).on('scroll', function () {
		        backToTop();
		    });
		    $('#back-to-top').on('click', function (e) {
		        e.preventDefault();
		        $('html,body').animate({
		            scrollTop: 0
		        }, 700);
		    });	
		}
	});
	
	/* Particles */
    $(window).on( 'load', function () {
        $('.particles-js').each(function () {
            var s_id = $( this ).data('id'),
                s_color = $( this ).data('color'),
                s_color = s_color.replace(/\s/g, ''),
                e = $('<div class="biwors-particles"></div>');
            $( this ).append(e);    
            e.attr('id', 'particles-' + s_id );

            var id = 'particles-' + s_id;
            var color_type = 'random_colors';
            var color = s_color;
            var color_line = '#fff';
            var number = 5;
            var lines = false;
            if (color_type == 'random_colors') {
                color = color.split(',');
                color_line = color[0]
            }
            
            particlesJS(
                id, {
                    "particles":{
                        "number":{
                            "value":number,
                            "density":{
                                "enable":true,
                                "value_area":800
                            }
                        },
                        "color":{
                            "value": color
                        },
                        "shape":{
                            "type":'edge',
                            "polygon":{
                                "nb_sides":6
                            },
                        },
                        "opacity":{
                            "value":0.5,
                            "random":true,
                            "anim":{
                                "enable":false,
                                "speed":1,
                                "opacity_min":1,
                                "sync":false
                            }
                        },
                        "size":{
                            "value": 80,
                            "random":true,
                            "anim":{
                                "enable":false,
                                "speed":10,
                                "size_min": 20,
                                "sync":false
                            }
                        },
                        "line_linked":{
                            "enable":false,
                            "distance":150,
                            "color":color_line,
                            "opacity":0,
                            "width":1
                        },
                        "move":{
                            "enable":true,
                            "speed":4,
                            "direction":"none",
                            "random":false,
                            "straight":false,
                            "out_mode":"out",
                            "bounce":false,
                            "attract":{
                                "enable":false,
                                "rotateX":600,
                                "rotateY":1200
                            }
                        }
                    },
                    "interactivity":{
                        "detect_on":"canvas",
                        "events":{
                            "onhover":{
                                "enable":true,
                                "mode":'grab'
                            },
                            "onclick":{
                                "enable":false,
                                "mode":"push"
                            },
                            "resize":true
                        },
                        "modes":{
                            "grab":{
                                "distance":150,
                                "line_linked":{
                                    "opacity":1
                                }
                            },
                            "bubble":{
                                "distance":200,
                                "size":3.2,
                                "duration":20,
                                "opacity":1,
                                "speed":30
                            },
                            "repulse":{
                                "distance":80,
                                "duration":0.4
                            },
                            "push":{"particles_nb":4},
                            "remove":{"particles_nb":2}
                        }
                    },
                    "retina_detect":true
                });
            var update;
            update = function() {
                requestAnimationFrame(update); 
            }; 
            requestAnimationFrame(update);
        });
    });
} )( jQuery );
