<?php
/**
 * The template for displaying archive portfolio pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Biwors
 */

get_header(); ?>

<?php
	$settings = [];
	$settings = [
		'project_num'   => !empty( biwors_get_option('portfolio_posts_per_page') ) ? biwors_get_option('portfolio_posts_per_page') : '6',
		'project_style'   => !empty( biwors_get_option('portfolio_style') ) ? biwors_get_option('portfolio_style') : 'info-under-image',
		'p_more' 	    => 3,
		'project_cat'	=> '',
		'is_exc' 		=> 'yes'
	];
?>
<div class="entry-content">
	<div class="container">
		<div class="row">
			<div id="primary" class="content-area col-md-12">
				<main id="main" class="site-main">
					<div class="projects-filter-wrapper">
						<?php $p_count = wp_count_posts('ot_portfolio'); $c = $p_count->publish; if ( have_posts() ) : ?>
							<div class="projects-masonry isotope is-excerpt <?php biwors_portfolio_option_class(); ?>">
								<div class="grid-sizer"></div>
								<?php
									/* Start the Loop */
									while ( have_posts() ) : the_post();

										/*
										* Include the Post-Type-specific template for the content.
										* If you want to override this in a child theme, then include a file
										* called content-___.php (where ___ is the Post Type name) and that will be used instead.
										*/
										get_template_part( 'template-parts/content', 'project-filter', array(
											'settings' => $settings
										));

									endwhile; 
								?>
							</div>
							
							<div class="pagination-wrapper">
								<?php biwors_posts_navigation(); ?>
							</div>
							
						<?php 	
						else :

							get_template_part( 'template-parts/content', 'none' );

						endif;
						?>			
					</div>		
				</main><!-- #main -->
			</div><!-- #primary -->
		</div>
	</div>
</div>

<?php
get_footer();
