<?php
/**
 * Template part for displaying widget Portfolio Filter Grid
 *
 * @package Biwors
 */
?>
<?php 
	$cates = get_the_terms( get_the_ID(), 'portfolio_cat' );
	$cate_id   = '';
    if ( ! is_wp_error( $cates ) && ! empty( $cates ) ) :
	    foreach ( $cates as $cate ) {
	        $cate_id .= 'portfolio-category-id-' . $cate->term_id . ' ';
	    }
	endif;
	$thumb_size = '';
	if ( function_exists('rwmb_meta') ) {
		$thumb_size = rwmb_meta('thumb_size');
	}

	if ( has_post_thumbnail() ) {
		$args['settings']['post_thumbnail'] = [
			'id' => get_post_thumbnail_id(),
		];
		$image_url = get_the_post_thumbnail_url( get_the_ID(), 'full' );
		$thumbnail_html = Elementor\Group_Control_Image_Size::get_attachment_image_html( $args['settings'], 'post_thumbnail' );
	}else{
		$image_url = get_bloginfo( 'stylesheet_directory' ) . '/images/thumbnail-default.png';
		$thumbnail_html = '<img src="' . $image_url . '" alt=""/>';
	}

	$project_info_style = $args['settings']['project_style'];
	$exc_lenght = (!empty($args['settings']['exc_lenght']) ? $args['settings']['exc_lenght'] : 15);
?>
<article class="project-item <?php echo esc_attr( $cate_id ); echo esc_attr( $thumb_size ); ?>">
	<div class="projects-box">
		<figure class="projects-thumbnail overlay" data-src="<?php echo esc_url( $image_url ); ?>" data-sub-html="<?php the_title(); ?>">
			<a href="<?php the_permalink(); ?>">
				<?php echo wp_kses_post( $thumbnail_html ); ?>
				<span class="bg">
					<?php if( $project_info_style === 'gallery-mode' ){ ?>
						<i class="ot-flaticon-loupe"></i>
					<?php } ?>
				</span>
			</a>
		</figure>
		<?php if( $project_info_style !== 'gallery-mode' ){ ?>
			<div class="project-details <?php echo esc_attr( $project_info_style ); ?>">
				<?php if( $project_info_style === 'info-inside-image' || $project_info_style === 'info-inside-image-overlay' ){ ?>
					<a href="<?php the_permalink(); ?>" class="portfolio_link"></a>
				<?php } ?>
	          	<div class="project-cates">
	        		<?php 
						if ( ! is_wp_error( $cates ) && ! empty( $cates ) ) :
							foreach ( $cates as $key => $term ) {
								// The $term is an object, so we don't need to specify the $taxonomy.
								$term_link = get_term_link( $term );
								// If there was an error, continue to the next term.
								if ( is_wp_error( $term_link ) ) {
									continue;
								}
								// We successfully got a link. Print it out.
								echo wp_kses_post( '<a href="' . esc_url( $term_link ) . '">' . $term->name . '</a>' );
							}
						endif;
					?> 
	        	</div>
	        	<div class="project-title">
		          	<h3 class="title">
		          		<a href="<?php the_permalink(); ?>" class="title-link"><?php the_title(); ?></a>
		          	</h3>
		        </div>
	          	<?php if( 'yes' === $args['settings']['is_exc'] && has_excerpt() ){ ?>
				<div class="project-excerpt">
		            <?php echo biwors_excerpt($exc_lenght); ?>
		        </div>
		    	<?php } ?>
			</div>
		<?php } ?>
	</div>
</article>
<?php if(!empty( $args['is_latest'] )){ ?>
<div class="hidden_load_more"></div>
<?php } ?>
