<?php
/**
 * Template part for displaying single post content
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Biwors
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('blog-post post-box'); ?>>
    <div class="inner-post">
        <header class="entry-header">

            <?php if ( 'post' === get_post_type() ) : ?>

            <div class="entry-media">
                <?php biwors_posted_in(); ?>
                <div class="entry-meta">
                    <?php biwors_post_meta(); ?>
                </div><!-- .entry-meta -->
            </div>
            <?php endif; ?>

            <?php if( biwors_get_option( 'ptitle_post' ) ) the_title( '<h2 class="entry-title">', '</h2>' ); ?>

            <?php if ( has_post_thumbnail() ) { ?>
                <div class="entry-media">
                    <?php the_post_thumbnail(); ?>
                </div>
            <?php } ?>
        </header><!-- .entry-header -->

        <div class="entry-summary">

            <?php

                the_content(sprintf(
                    wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'biwors'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ));

                wp_link_pages(array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'biwors'),
                    'after' => '</div>',
                ));
            ?>

        </div><!-- .entry-content -->
        <div class="entry-footer clearfix">
            <?php biwors_entry_footer(); ?>
            <?php if( biwors_get_option('post_socials') ) biwors_socials_share(); ?>
        </div>
    </div>

    <?php if(biwors_get_option('author_box') || biwors_get_option('post_nav')){ ?>
    <div class="author_nav_block">
        <?php if( biwors_get_option('author_box') ) biwors_author_info_box(); ?>
        <?php if( biwors_get_option('post_nav') ) biwors_single_post_nav(); ?>
    </div>
    <?php } ?>
</article>
<?php if( biwors_get_option('related_post') ) biwors_related_posts(); ?>
